Need help? Check out our Support site, then


My browser is NOT out of date!

  1. I run IE8, fully updated. That is the latest browser from Microsoft compatible with XP Home. Why do I get a redirect from WordPress telling me otherwise? The message says:

    "Your browser is out of date!

    It looks like you're using an old version of Internet Explorer. For the best WordPress experience, please update your browser"

    And then there is a link for a IE9 download. IE9 is not compatibe with XP Home.

    Why is WordPress.com doing this?

    The blog I need help with is universalgeni.wordpress.com.

  2. I do not run IE6. I run IE8 og have done so since it came out.

  3. I was referring to this:

    While we were at it, we started looking at other older browsers, and it makes us cringe a little when we see people using them, because the web could be so much better for them (not to mention more secure) if they would update to their favorite browser’s current version. Starting with this update, if you log in to your WordPress site using an outdated browser, an orange alert will appear on your Dashboard screen letting you know, and will provide links to the browser updates and to Browse Happy, where you can learn a little more about your options.

  4. @ airodyssey: Perhaps you would be so kind as to give me a download link for a newer version of Internet Explorer that is compatible with XP Home? I'm aware that Microsoft released Internet Explorer 9 in March this year. The WordPress redirect link is for Microsoft's IE9.

    However: IE9 is not compatible with XP Home. Microsoft no longer supports XP Home and have chosen to skip compatibility for that OS.

  5. Even if you could switch to a newer version of IE that is IE9, you'd still have the dashboard notice.

    Now that I told you why you have that warning message on your dashboard, I can think of two solutions to get rid of it:
    - click on the "Dismiss" button at the bottom of the red notice
    - switch to another browser whose latest version is compatible with Windows XP (Firefox?)

  6. Edit: Even if you could switch to a newer version of IE that is not IE9...

  7. I did click dismiss. However: I use httpS so it doesn't work.

  8. Or last, I should say...

  9. @universalgeni
    Hello there,
    I'm running XP Professional and I use a Firefox 5.0.1 browser. It works very well with WordPress and I never experience the issues other bloggers who post to this forum experience. I'm thinking that if you are solution orientated you could try it. If you do decide to do that then you can get it here > http://browsehappy.com

  10. ~~timethief

    @universalgeni I have occasionally had the unpleasant experience of having to log in to WP.com using IE -- which I do on my own computer only when testing the way that the blog looks in IE or something -- and I also get that rather annoying and inaccurate message, since I also have XP & can't upgrade to IE9.

    I agree with Timethief: Firefox works great with wp.com, and I find that many websites look better rendered by firefox than by IE. I've also found that Opera works well with it. You might try out a different browser for a few days & see how you like it. (I think that once it loads, Firefox is much faster than IE, particularly on a netbook or on an older computer.)

  11. WordPress asks your browser for its version so that it can make that check. They would have to also check for OS to be able to say, ok this computer is using the latest version of IE for their OS. The problem is though even if it is the latest version you can use with XP, it is still out of date and there are things wordpress is starting to do with HTML5 and CSS3 that are not supported on IE8, stuff the other browsers were supporting years before IE8 came out and that even IE9 does not support.

    Give Firefox or Opera a try so that you have a browser that supports all the modern web features that are showing up everywhere. If you don't want to keep using them, then just uninstall them and keep using IE8 and dismiss the browser messages.

  12. Actually, I have the lastest of everything, and I just started getting a message about an insecure browser and to update. I thought perhaps I was missing a security patch, but if I click the provided link it takes me to Microsoft to update to IE9. I'm already on IE9 and Windows 7, both fully patched/updated.

  13. I do not want another browser. I've tested Opera, Firefox and others and I didn't like them. I will get a new PC with Windows 7 preinstalled but not this year. It wil have to wait...

  14. Please stop the re-direct. This is not worthy of WordPress.com...

  15. Internet = inevitable change.

    fyi / fwiw: be prepared to lose some of your FireFox plug-ins when you migrate to FF5.

  16. WordPress 3.2.1 is throwing this warning even with the absolute latest version of IE9.

    Stupid.

  17. Actually IE9 was out of date before it ever went into Alpha release.

  18. Hello WordPress,

    When commenters post a YouTube video in the comment section, the video laps over into the sidebar. This just started happening a few days ago. Browers have been updated so what is the problem and how can we fix it?

  19. @southerngirl, that is completely off topic from this thread. Please start a new thread on that issue so it doesn't create confusion later on. The issue has nothing to do with browsers though, and is probably due to some code roll outs done by staff during their brainstorming/coding blitz going on till the 15th.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags